#ifndef KOGROUPWAREINCOMINGDIALOGIMPL_H
#define KOGROUPWAREINCOMINGDIALOGIMPL_H
#include "kogroupwareincomingdialog.h"

namespace KCal { class Incidence; };

class KOGroupwareIncomingDialogImpl : public KOGroupwareIncomingDialog
{
    Q_OBJECT

public:
    KOGroupwareIncomingDialogImpl( KCal::Incidence*, QWidget* parent = 0, 
                                   const char* name = 0, bool modal = FALSE, 
                                   WFlags fl = 0 );
    ~KOGroupwareIncomingDialogImpl();

    bool isAccepted() const { return mAccepted; }
    bool isConditionallyAccepted() const { return mConditionallyAccepted; }
    bool isDeclined() const { return mDeclined; }
    
protected slots:
    void slotAcceptEvent();
    void slotAcceptEventConditionally();
    void slotDeclineEvent();

private:
    bool mAccepted;
    bool mConditionallyAccepted;
    bool mDeclined;
};

#endif // KOGROUPWAREINCOMINGDIALOGIMPL_H
